/*

auto-eject-toggle

Script for toggling the auto eject module.


Oolite
Copyright © 2003-2013 Giles C Williams and contributors

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
MA 02110-1301, USA.


auto_eject.oxp
Copyright © 2010-2013 "Commander McLane"

This work is licensed under the Creative Commons
Attribution-Noncommercial-Share Alike 3.0 Unported License.

To view a copy of this license, visit
http://creativecommons.org/licenses/by-nc-sa/3.0/ or send a letter
to Creative Commons, 171 Second Street, Suite 300, San Francisco,
California, 94105, USA.

*/


this.name           = "auto-eject-toggle";
this.description    = "Script for toggling the auto eject module."
this.author         = "Commander McLane";
this.copyright      = "© 2013 Commander McLane";
this.license		= "CC-by-nc-sa 3.0";
this.version        = "1.1";


/* event handlers */

this.activated = function()
{
    switch(worldScripts["auto-eject"].autoEjectOn)
    {
        case 0:
            player.consoleMessage("Auto Eject module is ON.", 6);
            worldScripts["auto-eject"].autoEjectOn = 1;
            break;
        
        case 1:
            player.consoleMessage("Auto Eject module is OFF.", 6);
            worldScripts["auto-eject"].autoEjectOn = 0;
    }
}

this.mode = function()
{
    player.consoleMessage("Reconfiguring Auto Eject module.", 6);
    switch(worldScripts["auto-eject"].energyThreshold)
    {
        case 10:
            player.consoleMessage("Setting threshold to MEDIUM.", 6);
            worldScripts["auto-eject"].energyThreshold = 22;
            break;
        
        case 22:
            player.consoleMessage("Setting threshold to HIGH.", 6);
            worldScripts["auto-eject"].energyThreshold = 35;
            break;
        
        case 35:
            player.consoleMessage("Setting threshold to LOW.", 6);
            worldScripts["auto-eject"].energyThreshold = 10;
    }
}
